/*------------------------------------------------------------------*\
    4. COMPONENTS - Card
\*------------------------------------------------------------------*/

.header-box {
    height: 25vh;
}

.miv-portfolio-card {
    position: relative;
    overflow: hidden;
}

.miv-portfolio-card::after {
    content: '';
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: opacity 0.3s ease;
    pointer-events: none;
}

.miv-portfolio-card:hover::after {
    opacity: 1;
}

.miv-portfolio-card-content {
    position: relative;
    z-index: 1;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.miv-portfolio-card:hover .miv-portfolio-card-content {
    opacity: 1;
}

@media screen and (min-width: 1023px) {
    .our-portfolio-grid-loop .elementor-grid .e-loop-item:nth-of-type(1) .miv-portfolio-card,
    .exteriors-grid-loop .elementor-grid .e-loop-item:nth-of-type(3) .miv-portfolio-card {
        background-size: 100% auto;
        background-position: 0px 0px;
    }

    .our-portfolio-grid-loop .elementor-grid .e-loop-item:nth-of-type(1) .miv-portfolio-card-content,
    .exteriors-grid-loop .elementor-grid .e-loop-item:nth-of-type(3) .miv-portfolio-card-content {
        position: relative;
        top: -240px;
        z-index: 1;
        opacity: 0;
        transition: opacity 0.3s ease;
    }

    .our-portfolio-grid-loop .e-loop-item:nth-of-type(1) .miv-portfolio-card:hover .miv-portfolio-card-content,
    .exteriors-grid-loop .e-loop-item:nth-of-type(3) .miv-portfolio-card:hover .miv-portfolio-card-content {
        opacity: 1;
        position: relative;
        top: -265px;
    }
}